from earthdiagnostics import Utils, TempFile, cdftools
import shutil
import os

class General(object):

    @staticmethod
    def vertical_mean(input_file, output_file, variable, lev_min, lev_max):
        temp = TempFile.get()
        temp2 = TempFile.get()

        shutil.copy(input_file, temp)

        cdftools.run('cdfvertmean', input=temp, output=temp2, options=[variable, 'T', lev_min, lev_max,
                                                                       '-full', '-debug'])
        os.remove(temp)
        Utils.setminmax(temp2, '{0}_vert_mean'.format(variable))
        Utils.rename_variable(temp2, '{0}_vert_mean'.format(variable), '{0}mean{1}-{2}'.format(variable, lev_min, lev_max))
        Utils.move_file(temp2, output_file)